"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OpenId4VcIssuanceSessionRecord = void 0;
const core_1 = require("@credo-ts/core");
class OpenId4VcIssuanceSessionRecord extends core_1.BaseRecord {
    constructor(props) {
        var _a, _b, _c;
        super();
        this.type = OpenId4VcIssuanceSessionRecord.type;
        if (props) {
            this.id = (_a = props.id) !== null && _a !== void 0 ? _a : core_1.utils.uuid();
            this.createdAt = (_b = props.createdAt) !== null && _b !== void 0 ? _b : new Date();
            this._tags = (_c = props.tags) !== null && _c !== void 0 ? _c : {};
            this.issuerId = props.issuerId;
            this.cNonce = props.cNonce;
            this.userPin = props.userPin;
            this.preAuthorizedCode = props.preAuthorizedCode;
            this.credentialOfferUri = props.credentialOfferUri;
            this.credentialOfferPayload = props.credentialOfferPayload;
            this.issuanceMetadata = props.issuanceMetadata;
            this.state = props.state;
            this.errorMessage = props.errorMessage;
        }
    }
    assertState(expectedStates) {
        if (!Array.isArray(expectedStates)) {
            expectedStates = [expectedStates];
        }
        if (!expectedStates.includes(this.state)) {
            throw new core_1.CredoError(`OpenId4VcIssuanceSessionRecord is in invalid state ${this.state}. Valid states are: ${expectedStates.join(', ')}.`);
        }
    }
    getTags() {
        return Object.assign(Object.assign({}, this._tags), { issuerId: this.issuerId, cNonce: this.cNonce, credentialOfferUri: this.credentialOfferUri, preAuthorizedCode: this.preAuthorizedCode, state: this.state });
    }
}
exports.OpenId4VcIssuanceSessionRecord = OpenId4VcIssuanceSessionRecord;
OpenId4VcIssuanceSessionRecord.type = 'OpenId4VcIssuanceSessionRecord';
//# sourceMappingURL=OpenId4VcIssuanceSessionRecord.js.map